import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { ImageCroppedEvent } from 'ngx-image-cropper';
import { AlertService } from '../../_services/alert.service';
export declare class NgImageCropperComponent implements OnInit {
    private alertService;
    dialog: MatDialog;
    dialogRef: MatDialogRef<NgImageCropperComponent>;
    data: any;
    imageChangedEvent: any;
    croppedImage: any;
    loading: boolean;
    constructor(alertService: AlertService, dialog: MatDialog, dialogRef: MatDialogRef<NgImageCropperComponent>, data: any);
    ngOnInit(): void;
    imageCropped(event: ImageCroppedEvent): void;
    imageLoaded(): void;
    cropperReady(): void;
    loadImageFailed(): void;
    crop(): void;
    closeDialog(): void;
}
