import { OnInit, ElementRef, EventEmitter } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { DialogService } from '../../_services/dialog.service';
import { AlertService } from '../../_services/alert.service';
export declare class ImageUploaderComponent implements OnInit {
    dialog: MatDialog;
    private alertService;
    dialogService: DialogService;
    urlsDetails: any[];
    uploadInput: ElementRef;
    imageDetails: EventEmitter<any[]>;
    allowImageType: any[];
    sizeLimit: number;
    Iscrop: boolean;
    constructor(dialog: MatDialog, alertService: AlertService, dialogService: DialogService);
    ngOnInit(): void;
    UploadFile(files: any): void;
    dropFiles(event: any): void;
    ondragover(event: Event): void;
    ondrop(event: any): void;
    onDeleteCall(name: string, index: number): void;
}
